Jetson-container (autotag nano_llm) + JP6 seemingly pulling the wrong image

Situation:
Attempting to run jetson-containers run $(autotag nano_llm) python3 -m nano_llm.agents.web_chat --api=mlc --model Efficient-Large-Model/VILA-7b --asr=riva --tts=piper

  • AGX Orin recently updated to JP6
  • L4T_VERSION=36.3.0
  • JETPACK_VERSION=6.0
  • CUDA_VERSION=12.2

Expectation: The latest image compatible with JP6 (e.g., dustynv/nano_llm:r36.2.0) should be automatically pulled with little effort on my end. And, the command python3 -m nano_llm.agents.web_chat --api=mlc --model Efficient-Large-Model/VILA-7b --asr=riva --tts=piper should automatically pull the appropriate models.

Actual: dustynv/nano_llm:r35.4.1 gets pulled instead, leading to all sorts of errors from library mismatch (e.g., GLIBCXX_3.4.29 not found…; etc.)

FYI: @dusty_nv

Hi,

We tested it on JetPack 6 GA + Orin and the command did pull the dustynv/nano_llm:r36.2.0 image.

$ jetson-containers run $(autotag nano_llm) python3 -m nano_llm.agents.web_chat --api=mlc --model Efficient-Large-Model/VILA-7b --asr=riva --tts=piper
Namespace(packages=['nano_llm'], prefer=['local', 'registry', 'build'], disable=[''], user='dustynv', output='/tmp/autotag', quiet=False, verbose=False)
-- L4T_VERSION=36.3.0  JETPACK_VERSION=6.0  CUDA_VERSION=12.5
-- Finding compatible container image for ['nano_llm']

Found compatible container dustynv/nano_llm:r36.2.0 (2024-05-28, 10.8GB) - would you like to pull it? [Y/n]

Thanks.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.